<?php
function one_page_conference_dynamic_css() {

        wp_enqueue_style(
            'one-page-conference-dynamic-css', get_template_directory_uri() . '/css/dynamic.css'
        );

        $primary_color = esc_attr( get_theme_mod( 'primary_colors', '#999' ) );
        $secondary_color = esc_attr( get_theme_mod( 'secondary_colors', '#ff0000' ) );

        $header_height = absint( get_theme_mod( 'header_height', 30 ) );

        $banner_overlay_color = esc_attr( get_theme_mod( 'banner_overlay_color', '#5d1dce' ) );
        $banner_overlay_color_opacity = get_theme_mod( 'banner_overlay_color_opacity', 0.8 );

        $font_color = esc_attr( get_theme_mod( 'font_color', '#333' ) );
        $menu_font_color = esc_attr( get_theme_mod( 'menu_font_color', '#aaa' ) );
        $menu_background_color = esc_attr( get_theme_mod( 'menu_background_color', '#ececec' ) );
        $heading_title_color = esc_attr( get_theme_mod( 'heading_title_color', '#2173ce' ) );
        $heading_link_color = esc_attr( get_theme_mod( 'heading_link_color', '#ce106d' ) );
        $button_color = esc_attr( get_theme_mod( 'button_color', '#2173ce' ) );
        $footer_background_color = esc_attr( get_theme_mod( 'footer_background_color', '#ececec' ) );

        $font_family = esc_attr( get_theme_mod( 'font_family', 'Roboto' ) );
        $font_size = esc_attr( get_theme_mod( 'font_size', '16px' ) );

        $logo_font_size = absint( get_theme_mod( 'logo_size', 30 ) );
        $logo_size = absint( $logo_font_size * 2 );
        $site_color = esc_attr( get_theme_mod( 'site_color', '#4169e1' ) );
        $site_font_family = esc_attr( get_theme_mod( 'site_font_family', 'Montserrat' ) );

        $heading_font_family = esc_attr( get_theme_mod( 'heading_font_family', 'Poppins' ) );
        $heading_font_weight = esc_attr( get_theme_mod( 'heading_font_weight', 600 ) );

        $default_size = array(
                '1' =>  32,
                '2' =>  28,
                '3' =>  24,
                '4' =>  21,
                '5' =>  15,
                '6' =>  12,
        );

	    for( $i = 1; $i <= 6 ; $i++ ) {
	    	$heading[$i] = absint( get_theme_mod( 'one_page_conference_heading_' . $i . '_size', absint( $default_size[$i] ) ) );
	    }


        $dynamic_css = "
                body{ font: $font_size"." $font_family; color: $font_color; line-height: 1.5; }

                header .custom-logo-link img{ height: {$logo_size}"."px; }
                /*Site Title*/
                header .site-title a{ font: $logo_font_size"."px  $site_font_family; color: $site_color; }
                
               
                .header{padding: {$header_height}" . "px 0;}

                .speaker-layout-3 .speaker-holder .speaker-content p, .speaker-layout-4 .speaker-holder .speaker-content p, .inside-page [class*=venue-layout-] p{color: $font_color !important;}


                header .main-nav{background-color: $menu_background_color;}                
                

                /*Heading Title*/
                h2.title-1,h3,h4,h5,h6,.blog-list-block .news-snippet .news-title a, .sponsors-layout-2 .sponsor-subtitle, .inside-page [class*=venue-layout-] .venue-title, .banner-layout-4 #clockdiv{color: $heading_title_color;}
                .speaker-layout-3 .speaker-holder .speaker-content .speaker-title a, .speaker-layout-4 .speaker-holder .speaker-content .speaker-title a{color: $heading_title_color !important;}
                .main-title .title:before, h5.widget-title:after, .section-heading:after{background: $heading_title_color;}
                .banner-layout-4 #clockdiv div > span{border-color: $heading_title_color;}
                
                 
                h1{ font: $heading_font_weight {$heading[1]}"."px $heading_font_family }
                h2{ font: $heading_font_weight {$heading[2]}"."px $heading_font_family }
                h3{ font: $heading_font_weight {$heading[3]}"."px $heading_font_family }
                h4{ font: $heading_font_weight {$heading[4]}"."px $heading_font_family }
                h5{ font: $heading_font_weight {$heading[5]}"."px $heading_font_family }
                h6{ font: $heading_font_weight {$heading[6]}"."px $heading_font_family }
                .speaker-title{font: $heading_font_weight {$heading[4]}"."px $heading_font_family}




                /*Heading Link*/
                h2 a, h3 a, h4 a,h2 a:visited, h3 a:visited, h4 a:visited{color: $heading_link_color;}


                


                /* Primary Colors */
                .nav-pills .nav-link.active, .nav-pills .show>.nav-link,.schedule-layout-2 .schedule-holder .session-block .time-img .time, .schedule-layout .schedule-holder .session-block .icon, section[class*=venue-layout-]:before, .join-events, section[class*=gallery-layout-] .img-box:after, .owl-carousel .owl-dots .owl-dot.active span,  .owl-carousel .owl-dots .owl-dot:hover span, section[class*=tickets-layout-] .tickets-holder, [class*=schedule-layout-] .nav-pills .nav-link:hover, .owl-carousel .owl-nav [class*=owl-]:hover, [class*=schedule-layout-] .tab-content .tabContent-toggler, .pricing-layout-1 .price-block:before, .comments-area .comment-form .form-submit input:hover, .pagination li a:hover, .pagination li.active a, .speaker-layout-4 .speaker-holder:hover .img-holder:before {background: $primary_color; }

                .owl-dots .owl-dot.active, .owl-dots .owl-dot:hover {background: $primary_color !important; }

                [class*=schedule-layout-] .nav-pills .nav-link.active:before{border-color: $primary_color transparent transparent transparent; }

                .schedule-layout-2 .nav-pills .nav-link.active:before, .schedule-layout-2 .schedule-holder .session-block .time-img .time:before{border-color: transparent transparent transparent $primary_color;}


                .session-block .time .fa, [class*=schedule-layout-] .session-content-wrapper .detail-btn, .faq-layout-1 .accordion .btn-link:before, section[class*=testimonials-layout-] .fa-quote-left, .pricing-layout-1 .price-block .p-text .price-tag, aside.widget li a, .comments-area a, .pagination li a, .testimonials-layout-4 .item .social-media li a,
                .speaker-detail .speaker-info .speaker-social-links li a, .speaker-session ul li a, .schedule-holder .session-block .session-content-wrapper .speakers .text span a {color: $primary_color;}



                .speaker-detail .speaker-info .speaker-social-links li a:hover{border-color: $primary_color; background: $primary_color;}


                .pagination li a:hover, .pagination li.active a{border-color: $primary_color;}
                .owl-theme .owl-nav [class*=owl-]:hover{border-color: $primary_color !important;}


                .speaker-layout-3 .speaker-holder:hover .img-holder{box-shadow: -15px -15px 0px 0px $primary_color;}





                /* Secondary Colors */
                [class*=schedule-layout-] .tab-content .nav-pills .nav-link.active, .navbar-nav .nav-link:before, .navbar-nav .dropdown-menu, .comments-area .comment-form .form-submit input{background: $secondary_color;}

                 .widget_search input.search-submit{background-color: $secondary_color;}

                .session-block .room .fa, .session-block .date .fa, .news-snippet .news-title a, aside.widget li a:hover, .blog-list-block .news-snippet .news-title a:hover, .blog-list-block .news-snippet .readmore:hover, .blog-list-block .news-snippet .category a:hover, .comments-area a:hover, .testimonials-layout-4 .item .social-media li a:hover, .inside-page [class*=venue-layout-] .location .fa, .speaker-session ul li a:hover,
                .schedule-holder .session-block .session-content-wrapper .speakers .text span a:hover{color: $secondary_color;}

                .navbar-nav .dropdown-menu li a:hover, .navbar-nav .dropdown-menu .dropdown-item.text-dark, [class*=schedule-layout-] .session-content-wrapper .detail-btn:hover{color: $secondary_color !important;}

                input:focus{border-color: $secondary_color !important;}



                /* Banner Colors */
                section[class*=banner-layout-] .item:before { background: {$banner_overlay_color}; opacity: {$banner_overlay_color_opacity};}




                /* menu background color */
                #masthead, .main-navigation ul ul{background: $menu_background_color}

                /* menu font color */
               .main-navigation ul li a{ color: $menu_font_color }
               

                /*buttons*/
                header .search-submit,.widget .profile-link,
                .woocommerce #respond input#submit.alt, .woocommerce a.button.alt,
                .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button,
                .woocommerce input.button,form#wte_enquiry_contact_form input#enquiry_submit_button,#blossomthemes-email-newsletter-626 input.subscribe-submit-626,
                .jetpack_subscription_widget, .search-submit,.widget-instagram .owl-carousel .owl-nav .owl-prev,
                .widget-instagram .owl-carousel .owl-nav .owl-next,.widget_search input.search-submit:hover, .featured-layout h6.category a, .navbar .navbar-nav li.register .nav-link {background-color: $button_color;}

                .btn-primary, .btn-outline-primary:hover, .btn-outline-white:hover, .bt .navbar .navbar-nav li.register a, .pagination .nav-links .page-numbers:hover, .pagination .nav-links .page-numbers.current {background: $button_color; border-color: $button_color;}
                .btn-primary:hover, .btn-outline-primary, .pagination .nav-links .page-numbers{border-color: $button_color; color: $button_color;}
                .blog-list-block .news-snippet .readmore{color: $button_color;}

                /*Footer*/
                footer{background: $footer_background_color;}
                footer.main{background-color: $footer_background_color;}



                /* media */
                        @media (min-width: 320px) and (max-width: 1199px){
                                #primary-menu .nav-menu {
                                    background: $menu_background_color;
                                }
                                #nav-icon span{
                                    background: $menu_font_color;
                                }
                        }

                        
                        @media (min-width: 320px) and (max-width: 767px){
                                [class*=schedule-layout-] .tab-content .nav-pills .nav-link.active{
                                        background: $primary_color;
                                }
                                [class*=schedule-layout-] .tab-content .tabContent-toggler{
                                        background: $secondary_color;
                                }
                        }                        

                /* end media */

               
        ";
        wp_add_inline_style( 'one-page-conference-dynamic-css', $dynamic_css );
}
add_action( 'wp_enqueue_scripts', 'one_page_conference_dynamic_css' ,'99');